# homebrew_tap – Tap a Homebrew repository

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Tap external Homebrew repositories.

## Requirements

The below requirements are needed on the host that executes this module.

- homebrew

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The GitHub user/organization repository to tap. aliases: tap

state
-

Choices:
- present ←
- absent

state of the repository.

url - |  | The optional git URL of the repository to tap. The URL is not assumed to be on GitHub, and the protocol doesn't have to be HTTP. Any location and protocol that git can handle is fine. name option may not be a list of multiple taps (but a single tap instead) when this option is provided.

## Examples

    - homebrew_tap:
        name: homebrew/dupes

    - homebrew_tap:
        name: homebrew/dupes
        state: absent

    - homebrew_tap:
        name: homebrew/dupes,homebrew/science
        state: present

    - homebrew_tap:
        name: telemachus/brew
        url: 'https://bitbucket.org/telemachus/brew'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Indrajit Raychaudhuri (@indrajitr)

- Daniel Jaouen (@danieljaouen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.